package com.xhkjedu.sapi.mapper.assess;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.assess.TAssessQuota;
import com.xhkjedu.sapi.vo.assess.AssessQuotaVo;

import java.util.List;
import java.util.Map;

public interface AssessQuotaMapper extends TkMapper<TAssessQuota> {

    //获取所有的评价指标
    List<AssessQuotaVo> listAllQuotas(Integer schoolid);

    //修改指标状态
    Integer updateQuotaState(Integer quotastate, Integer quotaid);

    //删除模版指标关联关系
    void deleteTemplateQuota(Integer quotaid);

    //指定指标下子指标数量
    Integer selectQuotaCount(Integer quotaid);

    //获取模版下指标
    List<Map> listQuotaByTemplateid(Integer templateid);

    //根据指标名称或编码获取指标id
    Integer getQuotaIdByName(Integer schoolid, String quotaname);

    //获取模板下的子指标
    List<Map> listChildQuotaByTemplateId(Integer templateid);
}
